# Visual Layout Suite (VLSuite)

VLSuite is the content editing experience on top of Site Builder that ambitious site builders are waiting for, providing an out of the box editing experience that takes Layout Builder to the next level.

VLSuite's goal is clear: **deliver maximum value in the shortest possible time** when it comes to site and content building. For this, you can enable the VLSuite Layout Content Editor. This will enable all the required modules needed for site builders to start creating landing pages from scratch without needing technical knowledge. A set of highly configurable layouts (1-4 columns + carousel), a set of basic blocks (Image, Icon, Text, CTA, Video) and a content type ready to use any of these layouts and blocks will be available out of the box.

Although this site editing experience out of the box is available thanks to the utility classes provided by Bootstrap 5, you can use any other theme or CSS framework as long as the utility classes for each functionality you use are available.

Additionally, developers may extend the content authoring experience by adding custom layouts or blocks to have them ready to be used by Content Editors within a few clicks.

## Demo
The following video features the creation of a CTA in less than three minutes, including module installation: https://youtu.be/rSEmof8Jsio

## Key features
* Built upon Drupal Core’s Layout builder.
* User experience greatly improved over what core provides.
* What You See is What You Get experience at the layout and content level.
* Reusable layouts from your site layout library.
* Permissions allow different levels of content editing for users.
* No distribution, profile or theme dependency.
* Optional dependency on Bootstrap 5 to allow out of the box functionalities.
* Compatible with other approaches: if it works with Layout Builder it should work with VLSuite.
* Easy to extend.

## How it works?

### Utility classes concept
CSS utility classes are self-descriptive classes that are applied to the markup to achieve a specific style (layout, text properties, backgrounds, element styles, etc). VLSuite injects the required utility classes in the markup according to the site builders needs.

Since VLSuite uses identifiers for the utility classes you can switch the actual CSS classes used to implement a certain functionality without editing all previously created content. This allows for a great flexibility and independence from the theme or CSS framework used.

If used on a Bootstrap 5 based theme, most utility classes are already available in the VLSuite.

### Drupal blocks
Visual Layout Suite ships with a set of basic blocks such as Text, CTA, Image, Icon, Link and Video (local/remote) ready to use to create content.

You can easily set up a new custom block for your project, and within a few clicks, have it ready to be themed using any of the utility classes previously defined.
